# DMMGGetx

Returns the solution vector from a DMMG solve on the finest grid

### Synopsis

    Vec DMMGGetx(DMMG *dmmg)

Not Collective, but resulting vector is parallel

### Input Parameters

dmmg -DMMG solve context

### Fortran Usage

DMMGGetx(DMMG dmmg,Vec x,PetscErrorCode ierr) -

### See Also

DMMGCreate(), DMMGSetSNES(), DMMGSetKSP(), DMMGSetSNESLocal()

Level:intermediate
Location:src/snes/utils/../../../include/petscdmmg.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex22.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex22f.F.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex29.c.html